Package io.dapr.actors

# Class ActorUtils

java.lang.Object
io.dapr.actors.ActorUtils

public final class ActorUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`ActorUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`findActorTypeName(Class<?> actorClass)`
Finds the actor type name for the given class or interface.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActorUtils

public ActorUtils()

## Method Details

### findActorTypeName

public static String findActorTypeName(Class<?> actorClass)
Finds the actor type name for the given class or interface.

Parameters:
  `actorClass` - Class or interface for Actor Type.
Returns:
  Name for Actor Type.